apiVersion: v1
kind: Namespace
metadata:
  name: dude
---
apiVersion: v1
kind: Namespace
metadata:
  name: naww
---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  namespace: dude
  name: gitlab-kubernetes-agent-read-write-dude
rules:
- resources:
  - '*'
  apiGroups:
  - '*'
  verbs:
  - get
  - list
  - watch
  - create
  - update
  - delete
  - patch
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  namespace: dude
  name: gitlab-kubernetes-agent-read-write-binding-dude
roleRef:
  name: gitlab-kubernetes-agent-read-write-dude
  kind: Role
  apiGroup: rbac.authorization.k8s.io
subjects:
- name: pvelabfez-gitlab-agent
  kind: ServiceAccount
  namespace: gitlab-agent-pvelabfez
---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  namespace: gitlab-agent-pvelabfez
  name: gitlab-kubernetes-agent-read-write
rules:
- resources:
  - '*'
  apiGroups:
  - '*'
  verbs:
  - get
  - list
  - watch
  - create
  - update
  - delete
  - patch
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  namespace: gitlab-agent-pvelabfez
  name: gitlab-kubernetes-agent-read-write-binding
roleRef:
  name: gitlab-kubernetes-agent-read-write
  kind: Role
  apiGroup: rbac.authorization.k8s.io
subjects:
- name: pvelabfez-gitlab-agent
  kind: ServiceAccount
  namespace: gitlab-agent-pvelabfez
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: gitlab-kubernetes-agent-cm
rules:
- resources:
  - 'configmaps'
  apiGroups:
  - '*'
  verbs:
  - create
  - update
  - delete
  - patch
  - get
  - list
  - watch
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: gitlab-kubernetes-agent-binding-cm
roleRef:
  name: gitlab-kubernetes-agent-cm
  kind: ClusterRole
  apiGroup: rbac.authorization.k8s.io
subjects:
- name: pvelabfez-gitlab-agent
  kind: ServiceAccount
  namespace: gitlab-agent-pvelabfez
---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  namespace: naww
  name: gitlab-kubernetes-agent-read-naww
rules:
- resources:
  - '*'
  apiGroups:
  - '*'
  verbs:
  - get
  - list
  - watch
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  namespace: naww
  name: gitlab-kubernetes-agent-read-binding-naww
roleRef:
  name: gitlab-kubernetes-agent-read-naww
  kind: Role
  apiGroup: rbac.authorization.k8s.io
subjects:
- name: pvelabfez-gitlab-agent
  kind: ServiceAccount
  namespace: gitlab-agent-pvelabfez